Cyan Web API - Version 1


GET api/deviceGroupApplicationVersions?{deviceGroupId}

            Gets the DeviceGroupApplicationVersions for a specific DeviceGroup
            

Request Information

Parameters

NameDescriptionAdditional information
deviceGroupId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "deviceGroupId": "7de34cff-fb00-4052-b875-7c88d297c795",
    "applicationVersionId": "49cf99b1-d38c-4d3d-9fae-45bcdbf15187",
    "createdDateUtc": "2026-11-13T23:59:43.2293888+00:00",
    "updatedDateUtc": "2026-11-13T23:59:43.2293888+00:00"
  },
  {
    "deviceGroupId": "7de34cff-fb00-4052-b875-7c88d297c795",
    "applicationVersionId": "49cf99b1-d38c-4d3d-9fae-45bcdbf15187",
    "createdDateUtc": "2026-11-13T23:59:43.2293888+00:00",
    "updatedDateUtc": "2026-11-13T23:59:43.2293888+00:00"
  },
  {
    "deviceGroupId": "7de34cff-fb00-4052-b875-7c88d297c795",
    "applicationVersionId": "49cf99b1-d38c-4d3d-9fae-45bcdbf15187",
    "createdDateUtc": "2026-11-13T23:59:43.2293888+00:00",
    "updatedDateUtc": "2026-11-13T23:59:43.2293888+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfDeviceGroupApplicationVersionRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <DeviceGroupApplicationVersionRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:43.2293888+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:43.2293888+00:00</UpdatedDateUtc>
    <ApplicationVersionId>49cf99b1-d38c-4d3d-9fae-45bcdbf15187</ApplicationVersionId>
    <DeviceGroupId>7de34cff-fb00-4052-b875-7c88d297c795</DeviceGroupId>
  </DeviceGroupApplicationVersionRepresentation>
  <DeviceGroupApplicationVersionRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:43.2293888+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:43.2293888+00:00</UpdatedDateUtc>
    <ApplicationVersionId>49cf99b1-d38c-4d3d-9fae-45bcdbf15187</ApplicationVersionId>
    <DeviceGroupId>7de34cff-fb00-4052-b875-7c88d297c795</DeviceGroupId>
  </DeviceGroupApplicationVersionRepresentation>
  <DeviceGroupApplicationVersionRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:43.2293888+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:43.2293888+00:00</UpdatedDateUtc>
    <ApplicationVersionId>49cf99b1-d38c-4d3d-9fae-45bcdbf15187</ApplicationVersionId>
    <DeviceGroupId>7de34cff-fb00-4052-b875-7c88d297c795</DeviceGroupId>
  </DeviceGroupApplicationVersionRepresentation>
</ArrayOfDeviceGroupApplicationVersionRepresentation>